"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const TestServer_1 = require("../TestServer");
describe('Tests for Server Configurations', function () {
    it('should start with default hostname and port', function () {
        return __awaiter(this, void 0, void 0, function* () {
            const server = new TestServer_1.TestServer();
            yield server.start();
            chai_1.expect(server.address).to.eq('127.0.0.1:9080');
            chai_1.expect(server.started).to.eq(true);
            yield server.shutdown();
        });
    });
});
//# sourceMappingURL=server-defaultconfiguration.spec.js.map