import { Logger } from "../shared/Logger";
import { Server } from "../Server";
export interface SyncServiceConfig {
    dataPath?: string;
    publicKeyPath?: string;
    listenAddress?: string;
    listenPort?: number;
    label?: string;
    logLevel?: string;
}
export declare class SyncService {
    readonly tags: string[];
    private logger;
    readonly config: SyncServiceConfig;
    private syncServer;
    constructor(config?: SyncServiceConfig);
    setLogger(l: Logger): void;
    start(server: Server): Promise<void>;
    stop(): Promise<void>;
    address(): any;
}
